Bug 973579 - [EAP610 development guide translation to Japanese] 14.2.11. Use A Third-Party Authentication System In Your Application
Summary: [EAP610 development guide translation to Japanese] 14.2.11. Use A Third-Party...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization   
(Show other bugs)
Version: 6.1.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: jito
QA Contact: Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 09:04 UTC by Hisanobu Okuda
Modified: 2013-06-19 01:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.10 Build Name: 11864, Development Guide-6.1-3 Build Date: 23-05-2013 03:02:03 Topic ID: 32328-442909 [Specified]
Last Closed: 2013-06-19 01:16:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hisanobu Okuda 2013-06-12 09:04:18 UTC
Title: アプリケーションにおけるサードパーティー認証システムの使用

Describe the issue:

1)
サードパーティーのセキュリティーシステムを JBoss Enterprise Application Platform に統合することができます。このようなシステムは通常トークンベースのシステムです。外部システムが認証を実行し、要求ヘッダーよりトークンを Web アプリケーションに返します。このような認証はペリメーター認証と呼ばれることもあります。アプリケーションにペリメーターセキュリティーを設定するには、カスタムの認証バルブを追加します。サードパーティープロバイダーのバルブがある場合はクラスパスに存在するようにし、以下の例とサードパーティー認証モジュールのドキュメントに従うようにしてください。

Suggestions for improvement:

1)
サードパーティーのセキュリティーシステムを JBoss Enterprise Application Platform に統合することができます。このようなシステムは通常トークンベースのシステムです。外部システムが認証を実行し、要求ヘッダーよりトークンを Web アプリケーションに返します。このような認証は境界認証と呼ばれることもあります。アプリケーションに境界認証を設定するには、カスタムの認証バルブを追加します。サードパーティープロバイダーのバルブがある場合はクラスパスに存在するようにし、以下の例とサードパーティー認証モジュールのドキュメントに従うようにしてください。
訳注1) 「境界認証」と「ペリメータセキュリティ」という technical term は使われますが、「ペリメータ認証」は使われません。
訳注2) 原文では "perimeter security" という term が使われていますが、本来「保護すべき対象を内部と外部という区切りで分ける」という意味で使われる term であり、ここで使うにはふさわしくありません(多分誤用です)。ですので、「ペリメータセキュリティ」ではなく「境界認証」としました。文章の意味的にもこのほうが自然です。

Additional information:

Comment 1 jito 2013-06-18 02:29:56 UTC
Correction made as per suggestion: 
https://translate.engineering.redhat.com/webtrans/Application.html?project=skynet-topics&iteration=1&doc=7825-332303&localeId=ja#view:doc;doc:7825-332303

Further Bugzilla needs to be raised, as wrong usage of the term "perimeter security" is pointed out here.

Comment 2 jito 2013-06-18 05:03:24 UTC
Bugzilla raised to fix the bug in English: 
https://bugzilla.redhat.com/show_bug.cgi?id=975311


Note You need to log in before you can comment on or make changes to this bug.